import 'package:niogu_app/core/database/app_database.dart';
import 'package:niogu_app/core/entities/custom_activity.dart';
import 'package:niogu_app/features/user/domain/entities/user.dart';
import 'package:niogu_app/features/user/domain/repositories/i_user_repository.dart';

class UserRepositoryImpl implements IUserRepository {
  final AppDatabase _appDatabase;

  UserRepositoryImpl(this._appDatabase);

  @override
  Stream<ShiftInfo> watchShiftInfo() {
    return _appDatabase.userDao.watchShiftInfo();
  }

  @override
  Stream<MessageActivity?> checkPermissionActivity(String outletId) {
    return _appDatabase.userDao.checkPermissionActivity();
  }
}
